opal/mca/base/mca_base_msgbuf.h File Reference.TH "opal/mca/base/mca_base_msgbuf.h" 3 "7 Dec 2005" "Version 0.1.1" "OpenMPI" \" -*- nroff -*-
.ad l
.nh
.SH NAME
opal/mca/base/mca_base_msgbuf.h \- Run-time MCA message buffer interface for packing/unpacking messages these routines are used by both the OOB and the registry. 
.SH SYNOPSIS
.br
.PP
.SS "Defines"

.in +1c
.ti -1c
.RI "#define \fBMCA_BASE_MSGBUF_NULL_BUFID\fP   -1"
.br
.ti -1c
.RI "#define \fBMCA_BASE_MSGBUF_GETBUF\fP   -2000"
.br
.ti -1c
.RI "#define \fBMCA_BASE_MSGBUF_SUCCESS\fP   0;"
.br
.ti -1c
.RI "#define \fBMCA_BASE_MSGBUF_BADBUFFER\fP   -2010"
.br
.ti -1c
.RI "#define \fBMCA_BASE_MSGBUF_OUTOFBUFFERS\fP   -2011"
.br
.ti -1c
.RI "#define \fBMCA_BASE_MSGBUF_OUTOFMEMORY\fP   -2012"
.br
.ti -1c
.RI "#define \fBMCA_BASE_MSGBUF_BADPARM\fP   -2014"
.br
.ti -1c
.RI "#define \fBMCA_BASE_MSGBUF_BADDATA\fP   -2015"
.br
.in -1c
.SS "Typedefs"

.in +1c
.ti -1c
.RI "typedef mca_base_msgbuffer_s * \fBmca_base_msgbuf_t\fP"
.br
.in -1c
.SS "Enumerations"

.in +1c
.ti -1c
.RI "enum \fBmca_base_msgbuf_data_t\fP { \fBMCA_BASE_MSGBUF_BYTE\fP, \fBMCA_BASE_MSGBUF_INT32\fP, \fBMCA_BASE_MSGBUF_INT64\fP, \fBMCA_BASE_MSGBUF_INT128\fP, \fBMCA_BASE_MSGBUF_REAL32\fP, \fBMCA_BASE_MSGBUF_REAL64\fP, \fBMCA_BASE_MSGBUF_PACKED\fP, \fBMCA_BASE_MSGBUF_BYTE_BY_REF\fP }"
.br
.in -1c
.SS "Functions"

.in +1c
.ti -1c
.RI "OMPI_DECLSPEC mca_base_msgbuf_t \fBmca_base_msgbuf_new\fP (size_t reqsize)"
.br
.ti -1c
.RI "OMPI_DECLSPEC int \fBmca_base_msgbuf_copy\fP (mca_base_msgbuf_t *copybufid, mca_base_msgbuf_t orgbufid)"
.br
.ti -1c
.RI "OMPI_DECLSPEC mca_base_msgbuf_t \fBmca_base_msgbuf_construct\fP (void *ptr, size_t datasize)"
.br
.ti -1c
.RI "OMPI_DECLSPEC int \fBmca_base_msgbuf_free\fP (mca_base_msgbuf_t *bufid)"
.br
.ti -1c
.RI "OMPI_DECLSPEC int \fBmca_base_msgbuf_pack\fP (mca_base_msgbuf_t bufid, void *ptr, size_t num_items, mca_base_msgbuf_data_t datatype)"
.br
.ti -1c
.RI "OMPI_DECLSPEC int \fBmca_base_msgbuf_unpack\fP (mca_base_msgbuf_t bufid, void *ptr, size_t num_items, mca_base_msgbuf_data_t datatype)"
.br
.ti -1c
.RI "OMPI_DECLSPEC int \fBmca_base_msgbuf_pack_string\fP (mca_base_msgbuf_t bufid, char *strptr)"
.br
.ti -1c
.RI "OMPI_DECLSPEC int \fBmca_base_msgbuf_unpack_string\fP (mca_base_msgbuf_t bufid, char *strptr, size_t maxlen)"
.br
.in -1c
.SH "Detailed Description"
.PP 
Run-time MCA message buffer interface for packing/unpacking messages these routines are used by both the OOB and the registry. 


.SH "Author"
.PP 
Generated automatically by Doxygen for OpenMPI from the source code.
